org.apache.cayenne.event

## Class JMSBridgeFactory

- java.lang.Object
- - org.apache.cayenne.event.JMSBridgeFactory

- All Implemented Interfaces:
    EventBridgeFactory

      public class JMSBridgeFactory
      extends Object
      implements EventBridgeFactory

  Factory to create JMSBridge instances.
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TOPIC_CONNECTION_FACTORY_DEFAULT`
    `static String` | `TOPIC_CONNECTION_FACTORY_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSBridgeFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventBridge` | `createEventBridge(Collection<EventSubject> localSubjects, String externalSubject, Map<String,Object> properties)` Creates an EventBridge with the specified parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOPIC_CONNECTION_FACTORY_DEFAULT

          public static final String TOPIC_CONNECTION_FACTORY_DEFAULT

      See Also:
        Constant Field Values

    - #### TOPIC_CONNECTION_FACTORY_PROPERTY

          public static final String TOPIC_CONNECTION_FACTORY_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JMSBridgeFactory

          public JMSBridgeFactory()

  - ### Method Detail

    - #### createEventBridge

          public EventBridge createEventBridge(Collection<EventSubject> localSubjects,
                                               String externalSubject,
                                               Map<String,Object> properties)

      Description copied from interface: `EventBridgeFactory`
      Creates an EventBridge with the specified parameters.
      Specified by:
        `createEventBridge` in interface `EventBridgeFactory`
      Since:
        1.2

Copyright © 2001–2018 Apache Cayenne. All rights reserved.